Storyden
Notifications

Notification Update

Change the read status for a notification.

PATCH
/notifications/{notification_id}

Change the read status for a notification.

Authorization

cookiestoryden-session<token>

Path Parameters

notification_id*string

Unique notification ID.

Formatxid

Request Body

application/json
  1. body
status?NotificationStatus
Value in"unread""read"

Response Body

OK

application/json
  1. response
id*Identifier

A unique identifier for this resource.

Formatxid
created_at*string

The time the resource was created.

Formatdate-time
event*NotificationEvent

The kind of event that triggered the notification. Identical to the notification.Event enumerated type. Events prefixed with global_ cover activity across the instance and require an explicit opt-in. Global reply settings include personal replies. Overlapping alerts share one inbox entry, with Push enabled if either applicable event enables it.

Value in"global_thread_published""global_reply_published""global_post_reacted""thread_reply""reply_to_reply""post_like""follow""profile_mention""event_host_added""member_attending_event""member_declined_event""attendee_removed""report_submitted""report_updated""warning_issued""node_version_created""node_version_applied""node_version_deleted""trail_run_attention"
item?||||
source?

A minimal reference to an account.

target?string
status*NotificationStatus
Value in"unread""read"
Example Request
curl -X PATCH 'https://example.com/api/notifications/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "created_at": "2019-08-24T14:15:22Z",  "event": "global_thread_published",  "item": {    "kind": "post",    "ref": {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "title": "string",      "description": "string",      "slug": "string",      "author": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "visibility": "draft",      "assets": [        {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        }      ],      "reacts": [        {          "id": "string",          "emoji": "string",          "author": {            "id": "string",            "joined": "2019-08-24T14:15:22Z",            "suspended": "2019-08-24T14:15:22Z",            "handle": "string",            "name": "string",            "signature": "string",            "roles": [              {                "badge": true,                "default": true,                "id": "string",                "name": "string",                "colour": "string",                "meta": {}              }            ]          }        }      ],      "collections": {        "in_collections": 0,        "has_collected": true      },      "likes": {        "likes": 0,        "liked": true      },      "meta": {},      "body": "string",      "body_links": [        {          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "misc": {},          "url": "string",          "slug": "string",          "domain": "string",          "title": "string",          "description": "string",          "favicon_image": {            "id": "string",            "filename": "string",            "path": "string",            "mime_type": "string",            "width": 0,            "height": 0,            "parent": {}          },          "primary_image": {            "id": "string",            "filename": "string",            "path": "string",            "mime_type": "string",            "width": 0,            "height": 0,            "parent": {}          },          "liveness_status": "unknown",          "liveness_checked_at": "2019-08-24T14:15:22Z",          "scrape_status": "pending",          "scrape_attempted_at": "2019-08-24T14:15:22Z",          "scraped_at": "2019-08-24T14:15:22Z"        }      ]    }  },  "source": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  },  "target": "string",  "status": "unread"}